<template>
  <div>
      <b-navbar id="navup" toggleable="lg" type="dark" variant="dark">
        <b-navbar-brand href="#">JC</b-navbar-brand>
        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

        <b-collapse id="nav-collapse" is-nav>

          <b-navbar-nav>
            <b-nav-item href="#/">Inicio</b-nav-item>
            <template v-if="this.$root.session">
            <b-nav-item  href="#/image">Upload</b-nav-item>
            <b-nav-item  href="#/login/api">Login</b-nav-item>
            <b-nav-item  href="#/login/api">{{this.$store.token}}</b-nav-item>
            </template>
              <!-- Right aligned nav items -->
              
          </b-navbar-nav>
          <b-navbar-nav class="ml-auto">
            <b-nav-item-dropdown right>
              <!-- Using 'button-content' slot -->
              <template v-slot:button-content>
                <em>{{ name }}</em>
              </template>
              <b-dropdown-item href="#">Salir </b-dropdown-item>
            </b-nav-item-dropdown>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
  </div>
</template>

<script>
  export default {
      data(){
        return {
          name:'',
        }
      },
      created(){
        let user = localStorage.getItem('user');
        console.log( typeof localStorage.getItem('user') )
        console.log( localStorage.getItem('user') )
        this.name = localStorage.getItem('user.name');
        //this.$store.set('ale7')
        console.log(2)
        
      }
  }
</script>

<style >
  #navup{
    min-height: 70px;  
    box-shadow: 0px 2px 5px 0px #000;
  }
  .bg-dark {
    background-color: #005219 !important;
    /* background: rgb(28,143,83);
    background: linear-gradient(0deg, rgba(28,143,83,1) 0%, rgba(22,92,23,1) 100%); */
    background: rgb(0,4,2);
    background: linear-gradient(0deg, rgba(0,4,2,1) 0%, rgba(74,77,74,1) 100%);
  }
  #navup .nav-item > a{
    color: #fff;
  }
  
</style>